## org.biojava.bio.structure.gui.util
Class CoordManager

    java.lang.Object
      org.biojava.bio.structure.gui.util.CoordManager

    public class CoordManager

extends Object

a class that manages the conversion of sequence coordinate system to JPanel drawing coordinates

Since:
  1.7
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`CoordManager()`

Method Summary
`protected int` `getPanelPos(int seqPos)`
`protected int` `getSeqPos(int panelPos)` start counting at 0...
`void` `setLength(int length)`
`void` `setScale(float scale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordManager

    public CoordManager()

Method Detail

### setLength

    public void setLength(int length)

### setScale

    public void setScale(float scale)

### getSeqPos

    protected int getSeqPos(int panelPos)

  start counting at 0...

  Parameters:
    `panelPos` -
  Returns:
    the sequence position

### getPanelPos

    protected int getPanelPos(int seqPos)